FORMAT: 1A
HOST: http://192.168.0.53:5555

# Group Vectorapi
Group of all vectorapi-related resources.

## ReleaseRating

Release rating resource deals with information about release and its respective release rating advisory system data. This resource only returns the data along with video type as 'film'. 
It also fetches release rating advisory system related country language data. This country language data includes all countries data with its rating advisory system. 
This api resource manages only fetching of release rating advisory system data.

## INDEX [/vectorapi/releaserating/index{?data,access_token}]

### Index [GET]

+ Parameters

    + data (required, varchar, `{"releaseId":467743,"metaLanguage":"ITA"}`)    
    + access_token (varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "192.168.0.55",
      "httpStatusCode": 200
    },
    "request": "releaserating/index?params=vectorapi&releaserating&index&json&{\"releaseId\":467743,\"metaLanguage\":\"ITA\"}&<some_token>",
    "response": {
      "releaseRating": {
        "releaseId": 467743,
        "upc": "887396500105",
        "releaseStatus": "in_content",
        "metaLanguage": "ENG",
        "ArtistInfo": {
          "artistId": 186030,
          "vendorId": 15816
        },
        "CountryLanguage": [
          {
            "countryLanguageId": 46,
            "languagecode": "ITA",
            "Country": {
              "id": 12,
              "name": "Italy",
              "abbrivation": "IT",
              "continent": "Europe",
              "latitude": "41.871940",
              "longitude": "12.567380",
              "iso3166a3": "ITA",
              "CountryRatingAdvisorySystem": [
                {
                  "countryRatingId": 32,
                  "system": "it-movies",
                  "RatingAdvisorySystem": [
                    {
                      "ratingAdvisorySystemId": 238,
                      "system": "it-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "T",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 239,
                      "system": "it-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "VPA",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 240,
                      "system": "it-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "VM10",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 241,
                      "system": "it-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "VM12",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 242,
                      "system": "it-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "VM14",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 243,
                      "system": "it-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "VM18",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 802,
                      "system": "it-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "Unrated",
                      "description": "Unrated"
                    }
                  ]
                }
              ]
            }
          },
          {
            "countryLanguageId": 45,
            "languagecode": "ITA",
            "Country": {
              "id": 11,
              "name": "Switzerland",
              "abbrivation": "CH",
              "continent": "Europe",
              "latitude": "46.818188",
              "longitude": "8.227512",
              "iso3166a3": "CHE",
              "CountryRatingAdvisorySystem": [
                {
                  "countryRatingId": 26,
                  "system": "ch-movies",
                  "RatingAdvisorySystem": [
                    {
                      "ratingAdvisorySystemId": 342,
                      "system": "ch-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "0",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 343,
                      "system": "ch-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "6",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 344,
                      "system": "ch-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "7",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 345,
                      "system": "ch-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "10",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 346,
                      "system": "ch-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "12",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 347,
                      "system": "ch-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "14",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 348,
                      "system": "ch-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "16",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 349,
                      "system": "ch-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "18",
                      "description": null
                    },
                    {
                      "ratingAdvisorySystemId": 350,
                      "system": "ch-movies",
                      "videoType": "film",
                      "type": "rating",
                      "code": "Keine Alterseinstufung",
                      "description": "Unrated"
                    }
                  ]
                }
              ]
            }
          }
        ]
      }
    }
  }
}
